%define debug_package %{nil}

Summary:	Microsoft registry hive editor

Packager:	Lawrence R. Rogers (lrr@cert.org)

Vendor:		cert.org
Name:		fred
Version:	0.1.1
Release:	1%{?dist}
URL:		https://www.pinguin.lu/index.php

License:	GPL

Group:		Applications/Forensics Tools

Source0:	%{name}-%{version}.tar.gz
BuildRoot:	%{buildroot}
%if 0%{?rhel} > 0
BuildRequires:  qt4-devel
%else
BuildRequires:  qt-devel
%endif
BuildRequires:	hivex-devel qtwebkit-devel
Requires:	hivex qtwebkit

%description
Forensic Registry EDitor (fred) is a cross-platform M$ registry hive
editor. This project was born out of the need for a reasonably good registry
hive viewer for Linux to conduct forensic analysis. Therefore it includes
some functions not found in normal "free" registry editors like a hex viewer
with data interpreter and a reporting function that can easily be extended
with custom ECMAScript report templates. The current version contains the
following reports: NTUSER_RecentDocs, NTUSER_TypedUrls, SAM_UserAccounts,
SOFTWARE_WindowsVersion, SYSTEM_CurrentNetworkSettings, SYSTEM_SystemTimeInfo
and SYSTEM_UsbStorageDevices.

%prep
%setup -n %{name}-%{version}

%build
%if 0%{?fedora} > 0
	qmake-qt4  %{name}.pro
%endif
%if 0%{?rhel} > 0
        %{_libdir}/qt4/bin/qmake %{name}.pro
%endif
%{__make}

%install
rm -rf %{buildroot}
%__install -d %{buildroot}%{_bindir}
%__install -m 755 %{name} %{buildroot}%{_bindir}

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%attr(755, root, root)		%{_bindir}/*

%changelog
* Thu Oct 2 2014 Lawrence R. Rogers <lrr@cert.org> 0.1.1
* Release 0.1.1

	This is the initial release of this tool.
* Fri Jul 6 2012 Lawrence R. Rogers <lrr@cert.org> 0.1.0beta4-1
* Release 0.1.0beta4-1
	This is the initial release of this tool.
